#!/bin/csh

set PWD = `pwd`
set EXE = ./comp_pendf_xs.exe
set INP = comp.inp

set REF_DIR = ../njoy/pendf
set COM_DIR = ../frendy/pendf

set OUT_DIR = ${PWD}/out

cd ${PWD}/src
./run.sh
cd ${PWD}

mkdir -p ${OUT_DIR}

foreach REF_CASE( `ls ${REF_DIR}/*.pendf` )
  set CASE_NAME = `basename ${REF_CASE} .pendf`

  set COM_CASE = ${COM_DIR}/${CASE_NAME}.pendf
  echo "comp_result_${CASE_NAME}.dat"  > ${INP}
  echo "${REF_CASE}"                  >> ${INP}
  echo "${COM_CASE}"                  >> ${INP}
  echo >> ${INP}
  
  ${EXE}  ${INP}

  mv comp_result* ${OUT_DIR}
end

rm -rf ${INP}


