#!/bin/csh

set EXE = ./frendy.exe
set INP_DIR = ./inp_frendy
set LIB_DIR = ./lib
set PEN_DIR = ./pendf
set ACE_DIR = ./ace

mkdir -p ${PEN_DIR}
mkdir -p ${ACE_DIR}

foreach CASE( N014  O016  U235  U238  HinH2O )
  echo ${CASE}

  set INP = ${INP_DIR}/inp_JENDL-4_${CASE}.dat
  set LIB = ${LIB_DIR}/${CASE}.dat
  
  cp -p ${LIB} ./tape20
  if( ${CASE} == "HinH2O" ) then
    cp -p ${LIB_DIR}/H001.dat  ./tape20
    cp -p ${LIB}               ./tape23
  endif

  ${EXE}  ${INP}
 
  if( ${CASE} == "HinH2O" ) then
    mv ./tape27 ${PEN_DIR}/${CASE}.pendf
  else
    mv ./tape24 ${PEN_DIR}/${CASE}.pendf
  endif
  mv ./tape30 ${ACE_DIR}/${CASE}.ace
  mv ./tape31 ${ACE_DIR}/${CASE}.xsdir
end

rm -rf ./tape*

