#!/bin/csh

set EXE = ./ace_data_collector.exe

set INP_DIR   = ./inp
set ACE_DIR   = ./ace_ori
set ATOM_FILE = ./atomic_weight_ratio.dat

foreach DIR( ace_f  ace_n )
  mkdir -p ./${DIR}
end

foreach INP ( ace_collection_frendy.inp  ace_collection_njoy.inp )
  set ACE_ORI_DIR = ../frendy/ace
  if( ${INP} == "ace_collection_njoy.inp" ) then
    set ACE_ORI_DIR = ../njoy/ace
  endif

  mkdir -p ${ACE_DIR}
  cp -rpf ${ACE_ORI_DIR}/*.ace  ${ACE_DIR}/
  rm -rf ${ACE_DIR}/HinH2O.ace

  ${EXE}  ${INP_DIR}/${INP}

  rm -rf ${ACE_DIR}
end

foreach DIR( ace_f  ace_n )
  foreach XSDIR ( `ls ${DIR}/xsdir*` )
    cat ${ATOM_FILE}  ${XSDIR} > ${XSDIR}.mod
    mv ${XSDIR}.mod ./
  end
end

