#!/bin/csh

set PWD = `pwd`

set NJOY_FLG     = "ON"
set COMP_XS_FLG  = "ON"
set WRITE_XS_FLG = "ON"
set MCNP_FLG     = "ON"
set PERTURB_FLG  = "ON"

#set NJOY_FLG     = "OFF"
#set COMP_XS_FLG  = "OFF"
#set WRITE_XS_FLG = "OFF"
#set MCNP_FLG     = "OFF"
#set PERTURB_FLG  = "OFF"

### frendy ###
cd ${PWD}/frendy
rm -rf inp_njoy  ace  pendf  result_frendy.dat  result_make_njoy_input.dat  tape*


### njoy ###
if( ${NJOY_FLG} == "ON" ) then
  cd ${PWD}/njoy
  rm -rf ace  pendf  out  result_njoy.dat  output  tape*
endif


### comp_ace_xs ###
if( ${COMP_XS_FLG} == "ON" ) then
  cd ${PWD}/comp_ace_xs
  rm -rf out  result_comp_ace.dat

  cd ${PWD}/comp_ace_xs/src
  rm -rf *.d *.o *.exe

  cd ${PWD}/comp_ace_xs/gnuplot
  rm -rf ace_plot  ace_plot_only  result_gnuplot.dat


  cd ${PWD}/comp_pendf_xs
  rm -rf out  result_comp_pendf.dat

  cd ${PWD}/comp_pendf_xs/src
  rm -rf *.d *.o *.exe

  cd ${PWD}/comp_pendf_xs/gnuplot
  rm -rf plot  plot_only  result_gnuplot.dat
endif


### write_pendf_xs and write_ace_xs ###
if( ${WRITE_XS_FLG} == "ON" ) then
  cd ${PWD}/write_ace_xs
  rm -rf out  result_write_ace_xs.dat
  rm -rf out  out_each

  cd ${PWD}/write_ace_xs/src
  rm -rf *.d *.o *.exe

  cd ${PWD}/write_ace_xs/gnuplot
  rm -rf plot  result_gnuplot.dat


  cd ${PWD}/write_pendf_xs
  rm -rf out  result_write_pendf_xs.dat

  cd ${PWD}/write_pendf_xs/src
  rm -rf *.d *.o *.exe

  cd ${PWD}/write_pendf_xs/gnuplot
  rm -rf plot  result_gnuplot.dat
endif


### mcnp_data and mcnp ###
if( ${MCNP_FLG} == "ON" ) then
  cd ${PWD}/mcnp_data
  rm -rf ace_n  ace_f  xsdir*  result_ace_data_collector.dat

  cd ${PWD}/mcnp
  rm -rf out  result_keff.log  result_mcnp.dat
endif


### random sampling ###
if( ${PERTURB_FLG} == "ON" ) then
  cd ${PWD}/random_sampling/make_perturbation_factor
  rm -rf 1001  result.log

  cd ${PWD}/random_sampling/perturbation_ace_file
  rm -rf output  result.log

  cd ${PWD}/random_sampling/comp_ace_xs
  rm -rf log  out  result_comp_ace.dat

  cd ${PWD}/random_sampling/comp_ace_xs/gnuplot
  rm -rf tot  rad  ela  zoom  result_gnuplot.dat  result_gnuplot_zoom.dat
endif

